\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Boost Property Maps

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL Namespace Reference

## Classes
struct | Input_iterator_property_map
struct | Dereference_property_map
| Property map that converts a `T*` pointer (or in general an iterator over `T` elements) to the `T` object. More...
struct | Identity_property_map
| A `LvaluePropertyMap` property map mapping a key to itself (by reference). More...
struct | First_of_pair_property_map
| Property map that accesses the first item of a `std::pair`. More...
struct | Second_of_pair_property_map
| Property map that accesses the second item of a `std::pair`. More...
struct | Nth_of_tuple_property_map
| Property map that accesses the Nth item of a `boost::tuple`. More...

## Functions
template<class Iter >
Index_property_map< Iter > | make_index_property_map (Iter first, Iter beyond)
| Free function to create an Index_property_map property map. More...

## Function Documentation

template<class Iter >

Index_property_map<Iter> CGAL::make_index_property_map | ( | Iter | first,
|  | Iter | beyond
| ) |  |

Free function to create an Index_property_map property map.

Template Parameters

  Iter | iterator over input elements.

Returns
  an "index" property map, which associates a 0-based index (unsigned int) to the `[first, beyond)` range of elements.

Parameters

  first | iterator over the first element (index 0)
  beyond | past-the-end iterator over the elements